Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing.tools
Class StockResult

    java.lang.Object
      things.thing.tools.StockResult

    public class StockResult

extends java.lang.Object

Static, stock results.

Version:
  1.0

  Version History

      EPG - Initial - 7 MAY 07

Author:
  Erich P. Gatejen

Constructor Summary
`StockResult()`

Method Summary
`static RESULT` | `getAbort()` Get a stock abort.
`static RESULT` | `getException()` Get a stock exception.
`static RESULT` | `getFail()` Get a stock fail.
`static RESULT` | `getInconclusive()` Get a stock inconclusive.
`static RESULT` | `getPass()` Get a stock pass.
`static RESULT` | `getWaiting()` Get a stock waiting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StockResult

    public StockResult()

Method Detail

### getWaiting

    public static RESULT getWaiting()

  Get a stock waiting.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

### getPass

    public static RESULT getPass()

  Get a stock pass.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

### getFail

    public static RESULT getFail()

  Get a stock fail.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

### getException

    public static RESULT getException()

  Get a stock exception.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

### getInconclusive

    public static RESULT getInconclusive()

  Get a stock inconclusive.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

### getAbort

    public static RESULT getAbort()

  Get a stock abort.

  Returns:
    the RESULT
  See Also:
    `RESULT`, `Data`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.